Bug 759311 - augtool --autosave does not save changes
augtool --autosave does not save changes
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: augeas (Show other bugs)
6.2
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: David Lutterkort
Virtualization Bugs
:
Depends On: 743023
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-01 18:48 EST by David Lutterkort
Modified: 2013-04-30 19:42 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 743023
Environment:
Last Closed: 2012-06-20 11:10:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Lutterkort 2011-12-01 18:48:33 EST
+++ This bug was initially created as a clone of Bug #743023 +++

Description of problem:
Changes to files can only be saved when in interactive mode, not using '--autosave' from batch mode

# augtool --autosave set /files/etc/libvirt/qemu.conf/security_driver "selinux"
# augtool print /files/etc/libvirt/qemu.conf/security_driver
/files/etc/libvirt/qemu.conf/security_driver = "none"
# augtool 
augtool> set /files/etc/libvirt/qemu.conf/security_driver "selinux"
augtool> save
Saved 1 file(s)
augtool> 
# augtool print /files/etc/libvirt/qemu.conf/security_driver
/files/etc/libvirt/qemu.conf/security_driver = "selinux"

Version-Release number of selected component (if applicable):
augeas-0.9.0-1.fc15.x86_64

How reproducible:
Always

Steps to Reproduce:
1. See above
2.
3.
  
Actual results:


Expected results:


Additional info:

--- Additional comment from lutter@redhat.com on 2011-12-01 15:47:50 PST ---

This was fixed upstream with commit f4c2d18a and will be available in the next release (> 0.9.0)
Comment 5 Qin Guan 2012-03-26 00:57:25 EDT
Verify this problem with augeas 0.9.0-2.el6:
- augeas-0.9.0-2.el6.x86_64
- augeas-libs-0.9.0-2.el6.x86_64

The autosave can save the configuration successfully:
# augtool --autosave set /files/etc/libvirt/qemu.conf/security_driver "selinux"
Saved 1 file(s)
# augtool print /files/etc/libvirt/qemu.conf/security_driver
/files/etc/libvirt/qemu.conf/security_driver = "selinux"

Reproduced to verify the steps with augeas 0.9.0-1.el6.

Mark it as VERIFIED as above testing.
Comment 6 errata-xmlrpc 2012-06-20 11:10:06 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2012-0967.html

Note You need to log in before you can comment on or make changes to this bug.